<?php
/*
Plugin Name: BTN Shortcode
Description: Create a button with a shortcode
Author: Scan WP
*/

// Register style sheet.
add_action( 'wp_enqueue_scripts', 'swp_register_plugin_styles' );

/**
 * Register style sheet.
 */
function swp_register_plugin_styles() {
	wp_register_style( 'whatsapp-c2c-style', plugins_url( 'btn-shortcode/assets/css/plugin.css' ) );
	wp_enqueue_style( 'whatsapp-c2c-style' );
}


function swp_scode_func( $atts ) {
    $a = shortcode_atts( array(
        'link' => '',
				'text' => 'Try it Out',
        'color' => 'green',
    ), $atts );

    return '<div class="swp_scode_btn">
							<a style="background-color:' . $a['color'] . ';" class="" href="' . $a['link'] . '" target="_blank">' . $a['text'] . '</a>
			</div>';
}
add_shortcode( 'swp-scode', 'swp_scode_func' );
